import java.text.SimpleDateFormat;

class Checkout{
   
    Date checkOut;
    Date checkIn;
    Book book;
    float duration; // in hours
  
   Checkout(String cout, String cin, Book b){
     
     book = b;
     SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
     try{
        checkOut = format.parse(cout);
        checkIn = format.parse(cin);
        
     }catch(Exception e){
       println("Parse exception: " + cout + " " + cin);
     }
     duration = (checkIn.getTime() - checkOut.getTime()) / 1000.0 / 60.0 / 60.0;
     
  
   }
   
   public Book book(){
    return book; 
   }
   
   public float duration(){
    return duration; 
   }
   
   public int getCheckoutTimeOfDay() {
     Calendar out = Calendar.getInstance(); //<>//
     out.setTime(checkOut);
     return out.get(Calendar.HOUR_OF_DAY) * 60 + out.get(Calendar.MINUTE);
   }
  
   public int getCheckoutDate() {
       Calendar out = Calendar.getInstance(); //<>//
       out.setTime(checkOut);
       return (out.get(Calendar.YEAR) - 2006) * 365 + (out.get(Calendar.DAY_OF_YEAR));
   }
   
    public int getCheckinTimeOfDay() {
     Calendar in = Calendar.getInstance(); //<>//
     in.setTime(checkIn);
     return in.get(Calendar.HOUR_OF_DAY) * 60 + in.get(Calendar.MINUTE);
   }
  
   public int getCheckinDate() {
       Calendar in = Calendar.getInstance();
       in.setTime(checkIn); //<>//
       return (in.get(Calendar.YEAR) - 2006) * 365 + (in.get(Calendar.DAY_OF_YEAR));
   }
  
}